
Summary:	Tiling window manager with keyboard-oriented interface
Name:		ion3
Version:	20070203
Release:	%mkrel 1
Group:		Graphical desktop/Other
License:	Artistic
URL: 		http://iki.fi/tuomov/ion/
Source0: 	http://iki.fi/tuomov/dl/ion-3ds-%{version}.tar.bz2
Source1:	http://iki.fi/tuomov/dl/ion-doc-3ds-%{version}.tar.bz2
Patch0:		ion3-doc-makefile-topdir.patch.bz2
BuildRoot:	%_tmppath/%name-buildroot
BuildRequires:  freetype2-devel
BuildRequires:  lua-devel >= 5.1
BuildRequires:  lua >= 5.1
BuildRequires:  libltdl-devel
BuildRequires:  XFree86-devel
BuildRequires:  tetex-dvipdfm
BuildRequires:  latex2html
BuildRequires:  chrpath perl


Requires:	xterm
# for xmessage
Requires:       xmessage

%description

Ion was written as an experiment on a different kind of window man-
agement model and it tries to address the navigation problem by hav-
ing the screen divided into frames that take up the whole screen and
never overlap.

Read the manpage or go nuts

%prep
%__rm -rf $RPM_BUILD_ROOT
%setup -q -n ion-3ds-%version
tar xjf %{SOURCE1}

(
cd ion-doc-3ds-*
%patch0
)

# Fix path-names in the manpage.
#%__perl -pi -e "s#ETCDIR#"%ionetc"#g"       man/%name.1.in
#%__perl -pi -e "s#.I DOCDIR/##g"            man/%name.1.in
# %__perl -pi -e "s#.I X\(1x\)/#.I X(7x)#g"   man/%name.1.in


%build
pushd build/ac
autoconf
%configure
perl -pi -e 's#=/#=\${DESTDIR}/#g' system-ac.mk
perl -pi -e 's#INSTALL=\$\{DESTDIR\}#INSTALL=#g'  system-ac.mk

popd
make

# build doc
(
cd ion-doc-3ds-*
make all all-pdf
rm -f ionconf/images.{out,idx}
)

%install
rm -rf $RPM_BUILD_ROOT
export DESTDIR=%{buildroot}
%makeinstall

cp -a ion-doc-3ds-*/{*.pdf,ionconf,ionnotes} $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d
cat >    $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d/15%{name} << EOF
NAME=%name
EXEC=%{_bindir}/%{name}
DESC=%summary
SCRIPT:
exec %{_bindir}/%{name}
EOF

%post
%make_session

%postun
%make_session

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)

%attr(755,root,root) %{_bindir}/*

%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/bin
%{_libdir}/%{name}/mod
%{_libdir}/%{name}/lc

%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/15%{name}

%dir %{_datadir}/%{name}
%attr(755,root,root) %{_datadir}/%{name}/ion-*
%{_datadir}/%{name}/welcome*.txt

%{_datadir}/doc/%{name}
%{_datadir}/locale/*/LC_MESSAGES/*
%{_mandir}/man*/*
%{_mandir}/*/man*/*




%changelog
* Fri Feb 23 2007 Gaëtan Lehmann <glehmann@mandriva.org> 20070203-1mdv2007.0
+ Revision: 124897
- 20070203

* Tue Jan 02 2007 Gaëtan Lehmann <glehmann@mandriva.org> 20061223-1mdv2007.1
+ Revision: 103465
- 20061223

* Thu Nov 30 2006 Gaëtan Lehmann <glehmann@mandriva.org> 20061029-1mdv2007.1
+ Revision: 89029
- 20061029

* Fri Aug 18 2006 Gaëtan Lehmann <glehmann@mandriva.org> 20060524-3mdv2007.0
+ Revision: 56792
- rebuild with shared lua 5.1

* Thu Aug 17 2006 Gaëtan Lehmann <glehmann@mandriva.org> 20060524-2mdv2007.0
+ Revision: 56524
- requires only xmessage instead of the full X contribs

* Mon Aug 14 2006 Gaëtan Lehmann <glehmann@mandriva.org> 20060524-1mdv2007.0
+ Revision: 55858
- update to 20060524

* Wed Aug 09 2006 Gaëtan Lehmann <glehmann@mandriva.org> 20060326-2mdv2007.0
+ Revision: 55081
- rebuild
- Import ion3


* Mon Mar 27 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 20060326-1mdk
- New release 20060326

* Mon Mar 20 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 20060317-1mdk
- New release 20060317

* Sun Mar 05 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 20060305-1mdk
- New release 20060305

* Sat Jan 07 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 20060107-1mdk
- New release 20060107
- update doc

* Wed Dec 14 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 20051210-1mdk
- New release 20051210

* Wed Nov 23 2005  <gaetan.lehmann@jouy.inra.fr> 20051029-1mdk
- initial mandriva package (based on ion 2 package)

